<?php
   $target='id_menu';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Menu/menu.php"); 

   $nombrepagina = "AJUSTAR FUNCIONALIDAD";
   encabezado($target);
   $user=$_SESSION['validar'];
   $id_menus=$_POST['id_menu'];
     $filas=1;   
      if($filas == 1)
	{ 
	 class llamado{
	 var $menuObj;
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 
		 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Herramientas Funcionalidad ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="120" valign=top height="42" class=miTable_td nowrap>
Nombre Menu:</td>
<td width="150" valign=top height="42" class="miTable_td">
<?

	class captura{
		  var $userObj;
		  function capturar($id_menus){
		  		   $this->userObj=new todos_menus();
				   echo "<select name='id_menu' class='inputbox' style='width:220px;'>";
				   $this->userObj->get_menu($id_menus);
				   echo "</select>";
		  }
	}
	$capturaObj=new captura();
	$capturaObj->capturar($id_menus);
?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="hidden" name="id_user" value="<? echo $_GET['id_user']?>" class="inputbox" size="25">
<input type="submit" name="Buscar" value="Buscar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Buscar)){

     }else{
	
class agregaFuncionalidad{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 $this->consultarObj=new menu();
	  		 $this->consultarObj->setId($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM menu WHERE id='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$row_validar=mysql_fetch_array($rst_validar);
				$id=$row_validar['id'];
				$this->verDatos($id);
			}else{
				$msgBOX2 = "Menu No Existe.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			}
	
	}
	function verDatos($id){
			?>
<CENTER>
<form action="" method="POST">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="3" class=miTable_th1><div align="center">..:: Funcionalidad Menu ::..</div></td>
</tr>
<?
$rst_consulta_menu=$this->conexionObj->consultar("SELECT * FROM menu_dinamico WHERE id_menu='".$id."'");
if(mysql_num_rows($rst_consulta_menu)>=1){
			while($row_menu=mysql_fetch_array($rst_consulta_menu)){
				$check='checked disabled';
				echo "<tr class=miTable_tr>";
				echo "<td width=240 valign=top height=42 class=miTable_td><input type=checkbox value=".$row_menu['id']." class=inputbox ".$check.">".$row_menu['funcionalidad']."</td>";
				echo "<td width=30 valign=middle height=42 class=miTable_td>";
				?>
				<a href='ejecuta_funcionalidad.php?id_funcionalidad=<? echo "".$row_menu['id']."";?>&tipo=1&id_menu=<? echo $id?>' onClick="window.open('ejecuta_funcionalidad.php?id_funcionalidad=<? echo "".$row_menu['id']."";?>&nombre=<? echo $row_menu['funcionalidad']?>&script=<? echo $row_menu['script']?>&descripcion=<? echo $row_menu['descripcion']?>&tipo=1&id_menu=<? echo $id?>', 'window','width=300,height=200'); return false">
				<center><img src='imagenes/reload_.gif'></center></a>
				<?
				echo "</td>";
				echo "<td width=30 valign=middle height=42 class=miTable_td>";
				?>
				<a href='ejecuta_funcionalidad.php?id_funcionalidad=<? echo "".$row_menu['id']."";?>&tipo=2&id_menu=<? echo $id?>' onClick="window.open('ejecuta_funcionalidad.php?id_funcionalidad=<? echo "".$row_menu['id']."";?>&nombre=<? echo $row_menu['funcionalidad']?>&script=<? echo $row_menu['script']?>&descripcion=<? echo $row_menu['descripcion']?>&tipo=2&id_menu=<? echo $id?>', 'window','width=300,height=200'); return false">
				<center><img src='imagenes/del.gif'></center></a>
				<? echo "</td>";
				echo "</tr>";

			}
}
?>
<tr class=miTable_tr>
<td class=miTable_td colspan="">
Nueva Funcionalidad:
</td>
<td class=miTable_td colspan="2">
<input type="hidden" name="id_menu" value="<? echo $_POST['id_menu'];?>" class="inputbox" size="25">
<input type="text" name="funcionalidad" class="inputbox" size="25">
</td>
</tr>
<td class=miTable_td colspan="">
Script Funcionalidad:
</td>
<td class=miTable_td colspan="2">
<input type="text" name="script" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class="miTable_td">
Descripcion:
</td>
<td class="miTable_td" colspan="2">
<input type="text" name="descripcion" class="inputbox" size="25"></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="3">
<div align="center">
<input type="submit" name="Crear" value="Crear" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
   }
	
}// FIN DE LA CLASE AGREGAFUNCIONALIDAD
// CREACION DEL OBJETO
$agregaFuncionalidadObj=new agregaFuncionalidad();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$agregaFuncionalidadObj->setConsultar($_POST['id_menu']);
// LAMANDO EL METODO DE NEGOCIO
$agregaFuncionalidadObj->validar();
}
if(isset($Crear)){

	class agregaF{
	  var $conexionObj;
		function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$id_menu=$_POST['id_menu'];
		$funcionalidad=$_POST['funcionalidad'];
		$script=$_POST['script'];
		$desc=$_POST['descripcion'];
		$id_menu." ".$funcionalidad." ".$script;
		$insertarFuncionalidad=$this->conexionObj->modificar("INSERT INTO menu_dinamico VALUES ('0','".$funcionalidad."', '".$script."', '".$id_menu."', '".$desc."')");
		$affected_insertar=mysql_affected_rows();
			if($affected_insertar>=1){
				$msgBOX2 = "Se Creo Funcionalidad.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Crear Funcionalidad.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
		}
	// SE CREA UNA FUNCIONALIDAD A MENU DINAMICO //
	}// FIN DE LA CLASE AGREGAFUNCIONALIDAD
	// CREACION DEL OBJETO
	$agregaFObj=new agregaF();
	// LAMANDO EL METODO DE NEGOCIO
	$agregaFObj->validar();
}
	 mostrar_pie();
	} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
	<td>
	<center>
	<?
        pie_de_pagina();
        ?>
	</center>
	</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>